Bug 137844 - Anacoda crashes in rescue mode on network settings
Anacoda crashes in rescue mode on network settings
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-01 20:04 EST by Srihari Vijayaraghavan
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-23 18:32:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Srihari Vijayaraghavan 2004-11-01 20:04:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; rv:1.7.3)
Gecko/20041020 Firefox/0.10.1

Description of problem:
Blank network settings upset anaconda, and anaconda crashes.

Version-Release number of selected component (if applicable):
FC3 RC5

How reproducible:
Always

Steps to Reproduce:
1. Boot through the Installation CD 1
2. At the boot prompt, type "linux rescue" and press Enter.
3. At the "Choose a Language" window, press "OK" (leave the default
language 'English' as it is)
4. At the "Keyboard Type", press "OK" (leave the default 'us' as it is)
5. At the "Setup Networking" window, press "Yes"
6. At the "Network configuration for eth0" window, press "Back"
7. At the "Cancelled" window, press "OK"
8. At the "Miscellaneous Network Settings" window, press "Back"
9. At the "Network configuration for eth0", press "Back"


Actual Results:  Observe that the anaconda installer crashes. 

Expected Results:  May not crash, of course :).

Additional info:

In the BSOD screen :), I see these error messages:

Traceback (most recent call last):
File "/usr/bin/anaconda", line 596, in ? rescue.runRescue(rootPath,
not rescue_nomount, id)
File "/usr/lib/anaconda/rescue.py", line 199, in runRescue
s = "from %s import %s; nextWindow = %s" % \b> between elements |
<Space> selects | <F12> next screen
IndexError: tuple index out of range
install exited abnormally
sending termination signals...done
sending kill signals...done
disabling swap...
unmounting filesystems...
/mnt/runtime done
disabling /dev/loop0
/proc/bus/usb done
/proc done
/dev/pts done
/sys done
/tmp/ramfs done
/selinux done
you may safely reboot your screen

(Of course those lines were all over the display, I arranged them as
much as I could.)

Thank you.
Comment 1 Jeremy Katz 2004-11-02 17:13:18 EST
Fixed in CVS, thanks for the report.
Comment 2 Need Real Name 2005-01-11 19:20:02 EST
Just want to add the comment that it is present in FC3 as released as
well....

Note You need to log in before you can comment on or make changes to this bug.